function [gribd] = readgrib_rec(file,irec);

% function [gribd] = readgrib_rec(file,irec);
%
% Read the specified record from a GRIB file.  This is basically
% just a MATLAB wrapper for the "wgrib" program.
%
% Input:
%    file : {string} name of an NCEP/ECMWF model grib file
%    irec : [1 x 1] {integer} record number
%
% Output:
%    gribd : [1 x N] {double} the requested grib data
%          
% Requires:  wgrib in your path.  wgrib is a C program run via the
%	     shell that pull fields out of the grib file in a format
%            that can be read by Matlab.
%

% Created: 15 Mar 2006, Scott Hannon
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Run wgrib and create temporary binary file
eval(['! wgrib -nh -bin -d ' int2str(irec) ' ' file ' > /dev/null']);

% Read temporary binary file
fid = fopen('dump','r');
gribd = fread(fid,'single')';   
junk = fclose(fid);

% Remove temporary binary file
! rm dump

%%% end of function %%%
